FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Tree_Prefs.H File Reference

This file contains the definitions for Fl_Tree's preferences. More...

`#include <FL/Fl.H>`

Go to the source code of this file.

## Classes
class | Fl_Tree_Prefs
| Tree widget's preferences. More...

## Typedefs
typedef void | Fl_Tree_Item_Draw_Callback(Fl_Tree_Item *, void *)

## Enumerations
enum | Fl_Tree_Connector { FL_TREE_CONNECTOR_NONE =0 , FL_TREE_CONNECTOR_DOTTED =1 , FL_TREE_CONNECTOR_SOLID =2 }
| Defines the style of connection lines between items. More...
enum | Fl_Tree_Item_Draw_Mode { FL_TREE_ITEM_DRAW_DEFAULT =0 , FL_TREE_ITEM_DRAW_LABEL_AND_WIDGET =1 , FL_TREE_ITEM_HEIGHT_FROM_WIDGET =2 }
| Bit flags that control how item's labels and widget()s are drawn in the tree via item_draw_mode(). More...
enum | Fl_Tree_Item_Reselect_Mode { FL_TREE_SELECTABLE_ONCE =0 , FL_TREE_SELECTABLE_ALWAYS }
| Defines the ways an item can be (re) selected via item_reselect_mode(). More...
enum | Fl_Tree_Select { FL_TREE_SELECT_NONE =0 , FL_TREE_SELECT_SINGLE =1 , FL_TREE_SELECT_MULTI =2 , FL_TREE_SELECT_SINGLE_DRAGGABLE =3 }
| Tree selection style. More...
enum | Fl_Tree_Sort { FL_TREE_SORT_NONE =0 , FL_TREE_SORT_ASCENDING =1 , FL_TREE_SORT_DESCENDING =2 }
| Sort order options for items added to the tree. More...

## Detailed Description

This file contains the definitions for Fl_Tree's preferences.

Fl_Tree_Prefs
:
.....:.......
: :
Fl_Tree :
|_____ Fl_Tree_Item
Fl_Tree_Item
Tree widget item.
Definition Fl_Tree_Item.H:65
Fl_Tree_Prefs
Tree widget's preferences.
Definition Fl_Tree_Prefs.H:105
Fl_Tree
Tree widget.
Definition Fl_Tree.H:286

## Enumeration Type Documentation

## ◆ Fl_Tree_Connector

enum Fl_Tree_Connector

Defines the style of connection lines between items.

Enumerator
FL_TREE_CONNECTOR_NONE | Use no lines connecting items.
FL_TREE_CONNECTOR_DOTTED | Use dotted lines connecting items (default).
FL_TREE_CONNECTOR_SOLID | Use solid lines connecting items.

## ◆ Fl_Tree_Item_Draw_Mode

enum Fl_Tree_Item_Draw_Mode

Bit flags that control how item's labels and widget()s are drawn in the tree via item_draw_mode().

Enumerator
FL_TREE_ITEM_DRAW_DEFAULT | If widget() defined, draw in place of label, and widget() tracks item height (default).
FL_TREE_ITEM_DRAW_LABEL_AND_WIDGET | If widget() defined, include label to the left of the widget.
FL_TREE_ITEM_HEIGHT_FROM_WIDGET | If widget() defined, widget()'s height controls item's height.

## ◆ Fl_Tree_Item_Reselect_Mode

enum Fl_Tree_Item_Reselect_Mode

Defines the ways an item can be (re) selected via item_reselect_mode().

Enumerator
FL_TREE_SELECTABLE_ONCE | Item can only be selected once (default).
FL_TREE_SELECTABLE_ALWAYS | Enables FL_TREE_REASON_RESELECTED events for callbacks.

## ◆ Fl_Tree_Select

enum Fl_Tree_Select

Tree selection style.

Enumerator
FL_TREE_SELECT_NONE | Nothing selected when items are clicked.
FL_TREE_SELECT_SINGLE | Single item selected when item is clicked (default).
FL_TREE_SELECT_MULTI | Multiple items can be selected by clicking with SHIFT, CTRL or mouse drags.
FL_TREE_SELECT_SINGLE_DRAGGABLE | Single items may be selected, and they may be reordered by mouse drag.

## ◆ Fl_Tree_Sort

enum Fl_Tree_Sort

Sort order options for items added to the tree.

Enumerator
FL_TREE_SORT_NONE | No sorting; items are added in the order defined (default).
FL_TREE_SORT_ASCENDING | Add items in ascending sort order.
FL_TREE_SORT_DESCENDING | Add items in descending sort order.